#!/bin/bash
# SPDX-Version: 3.0
# SPDX-CreationInfo: 2025-06-17; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-ExternalRef: GIT https://git.coresecret.dev/msw/CISS.debian.installer.git
# SPDX-FileContributor: WEIDNER, Marc S.; Centurion Intelligence Consulting Agency
# SPDX-FileCopyrightText: 2024-2025; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-FileType: SOURCE
# SPDX-License-Identifier: EUPL-1.2 OR LicenseRef-CCLA-1.0
# SPDX-LicenseComment: This file is part of the CISS.debian.installer.secure framework.
# SPDX-PackageName: CISS.debian.installer
# SPDX-Security-Contact: security@coresecret.eu

guard_sourcing

#######################################
# Checks if a search pattern / string / value is present in an array.
# Arguments:
#   1: String to check against:
#   2: "$@" Array
# Returns:
#   0: If String is present in Array.
#   1: If String is NOT present in Array.
#######################################
validation_array() {
  declare var_element
  declare var_string=$1; shift
  for var_element in "$@"; do
    if [[ "${var_element}" == "${var_string}" ]]; then
      return 0
    fi
  done
  return 1
}
# vim: number et ts=2 sw=2 sts=2 ai tw=128 ft=sh
